## net.sourceforge.pmd.renderers
Class XMLRenderer

    java.lang.Object
      net.sourceforge.pmd.renderers.AbstractRenderer
          net.sourceforge.pmd.renderers.XMLRenderer

All Implemented Interfaces:
  Renderer

public class XMLRenderer
extends AbstractRenderer
implements Renderer

Field Summary

Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`showSuppressedViolations`

Constructor Summary
`XMLRenderer()`

Method Summary
`java.lang.String` `render(Report report)`

Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`showSuppressedViolations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.renderers.Renderer
`showSuppressedViolations`

Constructor Detail

### XMLRenderer

    public XMLRenderer()

Method Detail

### render

    public java.lang.String render(Report report)

  Specified by:
    `render` in interface `Renderer`
  Specified by:
    `render` in class `AbstractRenderer`

Copyright © 2002-2006 InfoEther. All Rights Reserved.